Skip to content

Clone an existing policy

Request

Identity Engine
OAuth 2.0 scope:
  • okta.policies.manage

Clones an existing policy

Path
policyIdstringrequired

id of the policy

Example:00plrilJ7jZ66Gn0X0g3
curl -i -X POST \
  https://subdomain.okta.com/api/v1/policies/00plrilJ7jZ66Gn0X0g3/clone

Responses

Success

Bodyapplication/json
createdstring, (date-time)read-only

Timestamp when the policy was created

Default:"Assigned"
descriptionstring

Description of the policy

Default:null
idstringread-only

Identifier of the policy

Default:"Assigned"
lastUpdatedstring, (date-time)read-only

Timestamp when the policy was last modified

Default:"Assigned"
namestringrequired

Name of the policy

priorityinteger

Specifies the order in which this policy is evaluated in relation to the other policies

Default:"Last / Lowest Priority, for example `1`"
statusstring(LifecycleStatus)

Whether or not the policy is active. Use the activate query parameter to set the status of a policy.

Enum:"ACTIVE""INACTIVE"
systemboolean

Specifies whether Okta created the policy

Default:false
typestring(PolicyType)required

All Okta orgs contain only one IdP discovery policy with an immutable default rule routing to your org's sign-in page. All Okta orgs also contain just one entity risk policy, one session protection policy, and one identity claims sourcing policy.

Enum ValueDescription
ACCESS_POLICY

App sign-in policy

MFA_ENROLL

Authenticator enrollment policy

ENTITY_RISK

(Read-only) Entity risk policy

OKTA_SIGN_ON

Global session policy

IDP_DISCOVERY

(Read-only) IdP discovery policy

POST_AUTH_SESSION

(Read-only) Session violation enforcement policy

PASSWORD

Password policy

PROFILE_ENROLLMENT

User profile policy

DEVICE_SIGNAL_COLLECTION

Device signal collection policy

SESSION_VIOLATION_DETECTION

(Read-only) Session violation detection policy

CLIENT_UPDATE

(Read-only) Client update policy

IDENTITY_CLAIM_SOURCING

(Read-only) Identity claims sourcing policy

USER_IDENTIFICATION

User Identification policy

SELF_SERVICE_REGISTRATION

Self-service registration policy

ATTACK_PROTECTION

(Read-only) Attack protection policy

Discriminator
_embeddedobjectread-only
conditionsstring or null

Policy conditions aren't supported. Conditions are applied at the rule level for this policy type.

Default:null
Response
{ "type": "PASSWORD", "id": "policyId", "status": "ACTIVE", "name": "Policy name", "description": "Policy description", "priority": 1, "system": true, "created": "createdDate", "lastUpdated": "lastUpdated", "conditions": { "people": { … }, "authProvider": { … } }, "settings": { "password": { … }, "recovery": { … }, "delegation": { … } }, "_links": { "self": { … }, "rules": { … } } }